# $Revision: 1.1 $, $Date: 2012/06/15 20:27:19 $
Summary:	Convert a username/group name to a UID/GID number
Name:		nodejs-uid-number
Version:	0.0.3
Release:	1
License:	MIT
Group:		Libraries
URL:		https://github.com/isaacs/uid-number
Source0:	http://registry.npmjs.org/uid-number/-/uid-number-%{version}.tgz
# Source0-md5:	812a94e5b2d21210255d86bf10e7d46f
Requires:	nodejs
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Convert a username/group name to a UID/GID number

%prep
%setup -qc
mv package/* .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{nodejs_libdir}/uid-number
cp -pr *.js package.json $RPM_BUILD_ROOT%{nodejs_libdir}/uid-number

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%{nodejs_libdir}/uid-number

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nodejs-uid-number.spec,v $
Revision 1.1  2012/06/15 20:27:19  glen
- new,
  based on src.rpm from http://nodejs.tchol.org/ repo
